{$UNDEF DEBUG}

unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, MSystemInfo;

type
  TfrmMain = class(TForm)
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    BitBtn3: TBitBtn;
    SI: TMSystemInfo;
    procedure cmSystem(Sender: TObject);
    procedure cmWindows(Sender: TObject);
    procedure BitBtn3Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
  public
    {$IFDEF DEBUG}
    MSI: TMSystemInfo;
    {$ENDIF}
  end;

var
  frmMain: TfrmMain;

implementation

{$R *.DFM}

uses SI,WI;

procedure TfrmMain.cmSystem(Sender: TObject);
begin
  try
    frmSI.Show;
  except
    frmSI:=TfrmSI.Create(Self);
    with frmSI do begin
      {$IFDEF DEBUG}
      SysInfo:=MSI;
      {$ELSE}
      SysInfo:=SI;
      {$ENDIF}
      DisplayedPages:=pgAll;
      ShowReportButton:=True;
      GetInfo;
      Show;
    end;
  end;
end;

procedure TfrmMain.cmWindows(Sender: TObject);
begin
  try
    frmWI.Show;
  except
    frmWI:=TfrmWI.Create(Self);
    with frmWI do begin
      GetWinList;
      Show;
    end;
  end;
end;

procedure TfrmMain.BitBtn3Click(Sender: TObject);
begin
  Close;
end;

procedure TfrmMain.FormCreate(Sender: TObject);
begin
  {$IFDEF DEBUG}
  SI:=TMSystemInfo.Create(Self);
  {$ENDIF}
end;

end.
